Commit 5209e7d7 authored by intrigeri's avatar intrigeri

Merge branch 'bugfix/17252-import-thunderbird-60' into feature/8415-overlayfs+force-all-tests

parents adc02fc5 9490e689

Too many changes to show.

To preserve performance only 1000 of 1000+ files are displayed.

......@@ -2,7 +2,10 @@
*.mo~
*.po~
*.pot~
*.pyc
*.swp
**/__pycache__
**/.mypy_cache
/*.apt-sources
/*.build-manifest
/*.buildlog
......@@ -23,11 +26,12 @@
/config/source
/config/chroot_local-includes/etc/amnesia/environment
/config/chroot_local-includes/etc/amnesia/version
/config/chroot_local-includes/usr/share/amnesia/readahead-list
/config/chroot_local-includes/usr/share/amnesia/build/variables
/config/chroot_local-includes/usr/share/doc/Changelog
/config/chroot_local-includes/usr/share/doc/amnesia/Changelog
/config/chroot_local-includes/usr/share/doc/tails/website
/config/chroot_local-includes/usr/share/tails/build/variables
/config/chroot_local-includes/usr/share/tails/greeter/supported_languages
/config/chroot_local-includes/usr/share/tails/greeter/supported_locales
/.lock
/.stage
/source
......@@ -42,14 +46,21 @@
/config/chroot_local-includes/etc/skel/Desktop/tails-documentation.desktop
/config/chroot_local-includes/etc/skel/Desktop/Report_an_error.desktop
/config/chroot_local-includes/etc/skel/Desktop/Tails_documentation.desktop
/config/chroot_local-includes/usr/local/share/mime/packages/unlock-veracrypt-volumes.xml
/config/chroot_local-includes/usr/share/applications/org.boum.tails.additional-software-config.desktop
/config/chroot_local-includes/usr/share/applications/root-terminal.desktop
/config/chroot_local-includes/usr/share/applications/tails-documentation.desktop
/config/chroot_local-includes/usr/share/applications/tails-reboot.desktop
/config/chroot_local-includes/usr/share/applications/unsafe-browser.desktop
/config/chroot_local-includes/usr/share/applications/tails-shutdown.desktop
/config/chroot_local-includes/usr/share/applications/tor-browser.desktop
/config/chroot_local-includes/usr/share/applications/tails-about.desktop
/config/chroot_local-includes/usr/share/applications/unlock-veracrypt-volumes.desktop
/config/chroot_local-includes/usr/share/desktop-directories/Tails.directory
/config/chroot_local-includes/usr/share/polkit-1/actions/org.boum.tails.root-terminal.policy
/config/chroot_local-includes/usr/share/polkit-1/actions/org.boum.tails.additional-software.policy
/config/chroot_local-includes/usr/share/tails/greeter/*.ui
/config/chroot_local-includes/usr/share/tails/unlock-veracrypt-volumes/*.ui
/tmp/
# The test suite's local configuration files
......
[submodule "submodules/pythonlib"]
path = submodules/pythonlib
url = https://git-tails.immerda.ch/pythonlib
[submodule "submodules/jenkins-tools"]
path = submodules/jenkins-tools
url = https://git-tails.immerda.ch/jenkins-tools
......@@ -11,3 +8,6 @@
[submodule "submodules/mirror-pool-dispatcher"]
path = submodules/mirror-pool-dispatcher
url = https://git-tails.immerda.ch/mirror-pool-dispatcher
[submodule "submodules/aufs-standalone"]
path = submodules/aufs-standalone
url = https://github.com/sfjro/aufs5-standalone.git
......@@ -34,6 +34,8 @@ STABLE_BRANCH_NAMES = ['stable', 'testing']
EXPORTED_VARIABLES = [
'MKSQUASHFS_OPTIONS',
'APT_SNAPSHOTS_SERIALS',
'TAILS_ACNG_PROXY',
'TAILS_BUILD_FAILURE_RESCUE',
'TAILS_DATE_OFFSET',
'TAILS_MERGE_BASE_BRANCH',
......@@ -54,6 +56,8 @@ INTERNAL_HTTP_PROXY = "http://#{VIRTUAL_MACHINE_HOSTNAME}:3142"
ENV['ARTIFACTS'] ||= '.'
ENV['APT_SNAPSHOTS_SERIALS'] ||= ''
class CommandError < StandardError
attr_reader :status, :stderr
......@@ -209,7 +213,7 @@ task :parse_build_options do
options << 'vmproxy'
# Default to fast compression on development branches
options << 'gzipcomp' unless is_release?
options << 'fastcomp' unless is_release?
# Default to the number of system CPUs when we can figure it out
cpus = system_cpus
......@@ -230,17 +234,21 @@ task :parse_build_options do
abort "No HTTP proxy set, but one is required by TAILS_BUILD_OPTIONS. Aborting." unless EXTERNAL_HTTP_PROXY
ENV['TAILS_PROXY'] = EXTERNAL_HTTP_PROXY
ENV['TAILS_PROXY_TYPE'] = 'extproxy'
when 'vmproxy'
when 'vmproxy', 'vmproxy+extproxy'
ENV['TAILS_PROXY'] = INTERNAL_HTTP_PROXY
ENV['TAILS_PROXY_TYPE'] = 'vmproxy'
if opt == 'vmproxy+extproxy'
abort "No HTTP proxy set, but one is required by TAILS_BUILD_OPTIONS. Aborting." unless EXTERNAL_HTTP_PROXY
ENV['TAILS_ACNG_PROXY'] = EXTERNAL_HTTP_PROXY
end
when 'noproxy'
ENV['TAILS_PROXY'] = nil
ENV['TAILS_PROXY_TYPE'] = 'noproxy'
when 'offline'
ENV['TAILS_OFFLINE_MODE'] = '1'
# SquashFS compression settings
when 'gzipcomp'
ENV['MKSQUASHFS_OPTIONS'] = '-comp gzip -Xcompression-level 1'
when 'fastcomp', 'gzipcomp'
ENV['MKSQUASHFS_OPTIONS'] = '-comp xz'
if is_release?
raise 'We must use the default compression when building releases!'
end
......@@ -314,7 +322,8 @@ end
def list_artifacts
user = vagrant_ssh_config('User')
stdout = capture_vagrant_ssh("find '/home/#{user}/amnesia/' -maxdepth 1 " +
"-name 'tails-*.iso*'").first
"-name 'tails-amd64-*' " +
"-o -name tails-build-env.list").first
stdout.split("\n")
rescue VagrantCommandError
return Array.new
......@@ -366,7 +375,7 @@ task :setup_environment => ['validate_git_state'] do
end
end
ENV['BASE_BRANCH_GIT_COMMIT'] = git_helper('git_base_branch_head')
ENV['BASE_BRANCH_GIT_COMMIT'] ||= git_helper('git_base_branch_head')
['GIT_COMMIT', 'GIT_REF', 'BASE_BRANCH_GIT_COMMIT'].each do |var|
if ENV[var].empty?
raise "Variable '#{var}' is empty, which should not be possible: " +
......@@ -430,6 +439,8 @@ task :build => ['parse_build_options', 'ensure_clean_repository', 'maybe_clean_u
# command to modify the #{hostname} below.
'-o', 'StrictHostKeyChecking=no',
'-o', 'UserKnownHostsFile=/dev/null',
# Speed up the copy
'-o', 'Compression=no',
]
fetch_command += artifacts.map { |a| "#{user}@#{hostname}:#{a}" }
fetch_command << ENV['ARTIFACTS']
......@@ -647,7 +658,7 @@ namespace :basebox do
boxes.sort! { |a, b| basebox_date(a) <=> basebox_date(b) }
boxes.pop
boxes.each do |box|
if basebox_date(box) < Date.today - 365.0/3.0
if basebox_date(box) < Date.today - 365.0/2.0
clean_up_basebox(box)
end
end
......
......@@ -11,21 +11,21 @@ set -x
umask 022
### functions
### Clone all output, from this point on, to the log file
syslinux_utils_upstream_version () {
dpkg-query -W -f='${Version}\n' syslinux-utils | \
# drop epoch
sed -e 's,.*:,,' | \
# drop +dfsg and everything that follows
sed -e 's,\+dfsg.*,,'
}
BUILD_LOG="${BUILD_BASENAME}.buildlog"
exec > >(tee -a "$BUILD_LOG")
trap "kill -9 $! 2>/dev/null" EXIT HUP INT QUIT TERM
exec 2> >(tee -a "$BUILD_LOG" >&2)
trap "kill -9 $! 2>/dev/null" EXIT HUP INT QUIT TERM
### functions
print_iso_size () {
local isofile="$1"
[ -f "$isofile" ] || return 23
size=$(stat --printf='%s' "$isofile")
echo "The ISO is ${size} bytes large."
echo "I: The ISO is ${size} bytes large."
}
### Main
......@@ -50,15 +50,15 @@ rm -rf cache/stages_rootfs
# save variables that are needed by chroot_local-hooks
echo "KERNEL_VERSION=${KERNEL_VERSION}" \
>> config/chroot_local-includes/usr/share/amnesia/build/variables
>> config/chroot_local-includes/usr/share/tails/build/variables
echo "KERNEL_SOURCE_VERSION=${KERNEL_SOURCE_VERSION}" \
>> config/chroot_local-includes/usr/share/amnesia/build/variables
echo "LB_DISTRIBUTION=${LB_DISTRIBUTION}" >> config/chroot_local-includes/usr/share/amnesia/build/variables
>> config/chroot_local-includes/usr/share/tails/build/variables
echo "LB_DISTRIBUTION=${LB_DISTRIBUTION}" >> config/chroot_local-includes/usr/share/tails/build/variables
echo "POTFILES_DOT_IN='$(
/bin/grep -E --no-filename '[^ #]*\.in$' po/POTFILES.in \
| sed -e 's,^config/chroot_local-includes,,' | tr "\n" ' '
)'" \
>> config/chroot_local-includes/usr/share/amnesia/build/variables